Ogre::D3D11VideoModeList Class Reference

`#include <OgreD3D11VideoModeList.h>`

List of all members.

## Public Member Functions

| D3D11VideoModeList (D3D11Driver *pDriver)
| ~D3D11VideoModeList ()
BOOL | enumerate ()
D3D11VideoMode * | item (size_t index)
size_t | count ()
D3D11VideoMode * | item (const String &name)

## Private Attributes

D3D11Driver * | mDriver
vector< D3D11VideoMode >::type | mModeList

## Detailed Description

Definition at line 36 of file OgreD3D11VideoModeList.h.

## Constructor & Destructor Documentation

Ogre::D3D11VideoModeList::D3D11VideoModeList | ( | D3D11Driver * | pDriver | ) |

Ogre::D3D11VideoModeList::~D3D11VideoModeList | ( |  | ) |

## Member Function Documentation

size_t Ogre::D3D11VideoModeList::count | ( |  | ) |

BOOL Ogre::D3D11VideoModeList::enumerate | ( |  | ) |

D3D11VideoMode* Ogre::D3D11VideoModeList::item | ( | size_t | index | ) |

D3D11VideoMode* Ogre::D3D11VideoModeList::item | ( | const String & | name | ) |

## Member Data Documentation

D3D11Driver* Ogre::D3D11VideoModeList::mDriver`[private]`

Definition at line 39 of file OgreD3D11VideoModeList.h.

vector<D3D11VideoMode>::type Ogre::D3D11VideoModeList::mModeList`[private]`

Definition at line 40 of file OgreD3D11VideoModeList.h.

The documentation for this class was generated from the following file:

- OgreD3D11VideoModeList.h

Copyright © 2012 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun Sep 2 2012 07:27:47